## org.eclipse.datatools.sqltools.common.ui.preferences
Class PreferencesRegistry

    java.lang.Object
      org.eclipse.datatools.sqltools.common.ui.preferences.PreferencesRegistry

public class PreferencesRegistry
extends java.lang.Object

Author:
  Hui Cao

Field Summary
`static PreferencesRegistry` `INSTANCE`

Method Summary
`java.util.Map` `getLaunchSections(java.lang.String page)` Get all the registered page sections which can be used in launch configuration for the given preference page.
`java.util.Map` `getPageSections(java.lang.String page)` Get all the registered page sections for the given preference page.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final PreferencesRegistry INSTANCE

Method Detail

### getPageSections

    public java.util.Map getPageSections(java.lang.String page)

  Get all the registered page sections for the given preference page.

  Parameters:
    `page` - preference page id
  Returns:
    key: vendor name; value: IDataServerPreferenceSection

### getLaunchSections

    public java.util.Map getLaunchSections(java.lang.String page)

  Get all the registered page sections which can be used in launch configuration for the given preference page.

  Parameters:
    `page` - preference page id
  Returns:
    key: vendor name; value: IDataServerLaunchPreferenceSection

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.